Bug 233033 - lang/swi-pl: unbreak on aarch64
Summary: lang/swi-pl: unbreak on aarch64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: arm64 Any
: --- Affects Only Me
Assignee: Johan van Selst
URL:
Keywords:
Depends on:
Blocks: 201763
  Show dependency treegraph
 
Reported: 2018-11-06 17:46 UTC by Greg V
Modified: 2018-12-08 22:14 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (johans)


Attachments
swipl.patch (1.99 KB, patch)
2018-11-06 17:46 UTC, Greg V
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Greg V 2018-11-06 17:46:12 UTC
Created attachment 199018 [details]
swipl.patch

I'm not sure why that gnu qsort check would go into an infinite loop only on aarch64 but whatever, let's skip it
Comment 1 Jan Beich freebsd_committer 2018-11-07 10:44:52 UTC
Can you check if it conflicts with bug 231256?
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2018-12-08 22:11:02 UTC
(In reply to Jan Beich from comment #1)

I don't see a conflict.
Comment 3 commit-hook freebsd_committer 2018-12-08 22:13:02 UTC
A commit references this bug:

Author: linimon
Date: Sat Dec  8 22:12:57 UTC 2018
New revision: 486988
URL: https://svnweb.freebsd.org/changeset/ports/486988

Log:
  gnu qsort check goes into an infinite loop on aarch64.  Disable it.

  PR:		233033
  Submitted by:	Greg V <greg at unrelenting dot technology>
  Approved by:	portmgr (tier-2 blanket)

Changes:
  head/lang/swi-pl/Makefile
Comment 4 commit-hook freebsd_committer 2018-12-08 22:14:09 UTC
A commit references this bug:

Author: linimon
Date: Sat Dec  8 22:13:30 UTC 2018
New revision: 486989
URL: https://svnweb.freebsd.org/changeset/ports/486989

Log:
  gnu qsort check goes into an infinite loop on aarch64.  Disable it.

  PR:		233033
  Submitted by:	Greg V <greg at unrelenting dot technology>
  Approved by:	portmgr (tier-2 blanket)

Changes:
  head/lang/swi-pl/files/
  head/lang/swi-pl/files/extra-patch-skip-gnu-qsort